{
    "name": "crafter-component",
    "configurations": [
        {
            "name": "base",
            "standard": "c++26",
            "source_files": ["Crafter.Component-Component"],
            "module_files": ["Crafter.Component","Crafter.Component-ComponentRef","Crafter.Component-Component"],
            "additional_files": [],
            "build_dir": "build",
            "output_dir": "bin",
            "type":"library"
        },
        {
            "name": "lib-debug",
            "extends": ["base"],
            "debug":true,
            "dependencies": [
                {
                    "path":"https://forgejo.catcrafts.net/Catcrafts/Crafter.Event.git",
                    "configuration":"lib-debug"
                }
            ]
        },
        {
            "name": "lib-release",
            "extends": ["base"],
            "optimization_level": "3",
            "dependencies": [
                {
                    "path":"https://forgejo.catcrafts.net/Catcrafts/Crafter.Event.git",
                    "configuration":"lib-release"
                }
            ]
        }
    ]
}
